## jline 1.0

=== src/src/main/native/Makefile ===


#export PATH=${PATH}:/usr/lib/gcc-lib/i686-pc-cygwin/3.3.3
JDK='/C/Program Files/Java/jdk1.5.0/'

native:
	#gcc -I'C:/Program Files/Java/'*'/include/' -I'C:/Program Files/Java/'*'/include//win32/' -mno-cygwin -Wl,--add-stdcall-alias -shared -o jline.dll jline_WindowsTerminal.c
	gcc -L /usr/lib/mingw/ -I${JDK}/include -I${JDK}/include/win32 -mwindows -mno-cygwin -Wl,--add-stdcall-alias -shared -o jline.dll jline_WindowsTerminal.c

## jline 0.9.94-1

=== debian/changelog ===
jline (0.9.94-1) stable; urgency=low

  * Initial import.

 -- Ruediger Gad <r.c.g@gmx.de>  Tue, 04 May 2010 22:16:33 +0000

=== debian/control ===
Source: jline
Section: user/development
Priority: extra
Maintainer: Ruediger Gad <r.c.g@gmx.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: jline
Architecture: all
Depends: 
Description: This package installs jline.
 For license information please see the file LICENSE.txt in /opt/jline or visit "http://jline.sourceforge.net".
XSBC-Bugtracker: XSBC-Bugtracker: r.c.g@gmx.de

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/jline" install
	mkdir -p "$(CURDIR)/debian/jline"

#	mkdir -p "$(CURDIR)/debian/jline/opt/jline/src/src/site/docbook/"
	cp -a "src/opt/jline/src/src/site/docbook/index.xml" "$(CURDIR)/debian/jline/opt/jline/src/src/site/docbook/index.xml"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ANSIBuffer.ANSICodes.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ANSIBuffer.ANSICodes.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ANSIBuffer.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ANSIBuffer.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ArgumentCompletor.AbstractArgumentDelimiter.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ArgumentCompletor.AbstractArgumentDelimiter.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ArgumentCompletor.ArgumentDelimiter.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ArgumentCompletor.ArgumentDelimiter.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ArgumentCompletor.ArgumentList.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ArgumentCompletor.ArgumentList.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ArgumentCompletor.WhitespaceArgumentDelimiter.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ArgumentCompletor.WhitespaceArgumentDelimiter.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ArgumentCompletor.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ArgumentCompletor.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/CandidateCycleCompletionHandler.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/CandidateCycleCompletionHandler.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/CandidateListCompletionHandler.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/CandidateListCompletionHandler.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ClassNameCompletor.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ClassNameCompletor.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/CompletionHandler.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/CompletionHandler.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/Completor.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/Completor.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ConsoleOperations.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ConsoleOperations.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ConsoleReader.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ConsoleReader.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ConsoleReaderInputStream.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ConsoleReaderInputStream.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/ConsoleRunner.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/ConsoleRunner.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/CursorBuffer.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/CursorBuffer.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/FileNameCompletor.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/FileNameCompletor.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/History.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/History.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/MultiCompletor.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/MultiCompletor.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/NullCompletor.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/NullCompletor.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/SimpleCompletor.NoOpFilter.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/SimpleCompletor.NoOpFilter.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/SimpleCompletor.SimpleCompletorFilter.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/SimpleCompletor.SimpleCompletorFilter.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/SimpleCompletor.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/SimpleCompletor.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/Terminal.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/Terminal.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/UnixTerminal.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/UnixTerminal.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/UnsupportedTerminal.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/UnsupportedTerminal.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/WindowsTerminal.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/WindowsTerminal.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/package-frame.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/package-frame.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/package-summary.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/package-summary.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/package-tree.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/package-tree.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/"
	cp -a "src/opt/jline/apidocs/jline/package-use.html" "$(CURDIR)/debian/jline/opt/jline/apidocs/jline/package-use.html"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/examples/jline/example/"
	cp -a "src/opt/jline/examples/jline/example/Example.java" "$(CURDIR)/debian/jline/opt/jline/examples/jline/example/Example.java"
	mkdir -p "$(CURDIR)/debian/jline/opt/jline/examples/jline/example/"
	cp -a "src/opt/jline/examples/jline/example/PasswordReader.java" "$(CURDIR)/debian/jline/opt/jline/examples/jline/example/PasswordReader.java"

## jline 1.0

=== debian/changelog ===
jline (1.0-3) unstable; urgency=medium

  [ Kumar Appiah ]
  * debian/control:
    + Remove Kumar Appaiah from uploaders

  [ Markus Koschany ]
  * Initial upstream branch.
  * Moved the package to Git

  [ tony mancill ]
  * Add myself to Uploaders
  * Use debhelper-compat 13 (Closes: #965607)
  * Rework debian/rules to use DH sequencer
  * Drop cdbs from build-deps
  * Build and install same artifacts as 1.0-2
  * Bump Standards-Version to 4.5.1
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 13 Dec 2020 21:05:13 -0800

jline (1.0-2) unstable; urgency=low

  * Team upload.
  * Compile Java code with source/target == 1.5. (Closes: #677022)
    - Thank you to James Page.
  * Bump Standards-Version to 3.9.3.

 -- tony mancill <tmancill@debian.org>  Thu, 14 Jun 2012 21:10:05 -0700

jline (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #525559)
  * Use upstream's file sr/pom.xml and remove debian/pom.xml.
  * Remove debian/patches/* because they haven't been used for a long time.
  * Switch to source format 3.0.
  * Replace openjdk-6-doc by default-jdk-doc. (Closes: #567276)
  * Remove Java runtime dependencies.

 -- Torsten Werner <twerner@debian.org>  Sat, 06 Aug 2011 19:49:02 +0200

jline (0.9.94-5) unstable; urgency=low

  * Add myself to Uploaders.
  * Add missing file debian/libjline-java.poms.

 -- Torsten Werner <twerner@debian.org>  Fri, 14 Aug 2009 18:03:22 +0200

jline (0.9.94-4) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 11:38:11 +0200

jline (0.9.94-3) experimental; urgency=low

  [Ludovic Claude]
  * Bump Standards-Version to 3.8.2
  * Add the Maven POM to the package
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Add ${misc:Depends} to Depends to clear Lintian warnings
  * Change doc-base section from Apps/Text to Programming
  * Move API documentation to /usr/share/doc/libjline-java/api/

  [Peter Eisentraut]
  * Removed myself from Uploaders

  [Matthias Klose]
  * (Build-)depend on default-jre/-jdk.

 -- Ludovic Claude <ludovic.claude@laposte.net>  Tue, 21 Jul 2009 23:00:09 +0100

jline (0.9.94-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.7.3

 -- Varun Hiremath <varun@debian.org>  Fri, 22 Feb 2008 21:58:41 +0530

jline (0.9.93-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Use Vcs-* in place of XS-Vcs-* fields.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Sun, 25 Nov 2007 18:39:08 +0530

jline (0.9.92-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    + Remove remove_import_jmx patch, since upstream no longer
      imports com.sun.jmx.*.
  * debian/control:
    + Remove quilt from Build-Depends.
  * debian/rules:
    + No longer call quilt cdbs routines.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 27 Sep 2007 06:49:42 +0530

jline (0.9.91-1) unstable; urgency=low

  [ Varun Hiremath ]
  * New upstream release
  * Add debian/build.xml and debian/build.properties - no longer provided by upstream.
  * debian/control:
    + Add myself and Kumar Appaiah to Uploaders.
    + Depend and Build-Depend on java-gcj-compat(-dev) instead of kaffe.
    + Build-Depends on quilt for patches.
    + add XS-Vcs-Svn, XS-Vcs-Browser and Homepage headers
  * debian/rules:
    + set JAVA_HOME to java-gcj
    + implement get-orig-source
  * Add debian/orig-tar.sh and debian/orig-tar.exclude to create orig.tar.gz
  * Add debian/README.Debian-source
  * Update debian/watch to call debian/orig-tar.sh
  * debian/patches:
    + remove old patches
    + add remove_import_jmx.diff to comment out import of com.sun.jmx.* class
    which was not being used.
  * debian/copyright: make some minor corrections.

  [ Kumar Appaiah ]
  * Move build.properties to ant.properties.
  * Move API documentation to api/ directory.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Thu, 27 Sep 2007 00:56:45 +0530

jline (0.9.5-3) unstable; urgency=low

  * Adjusted watch file
  * Updated standards version
  * Moved build dependencies to Build-Depends
  * Simplified rules, requires cdbs >= 0.4.39

 -- Peter Eisentraut <petere@debian.org>  Sat, 16 Jun 2007 17:38:26 +0200

jline (0.9.5-2) unstable; urgency=low

  * Fixed doc-base file to point to the right package's directory

 -- Peter Eisentraut <petere@debian.org>  Wed, 19 Apr 2006 00:31:47 +0200

jline (0.9.5-1) unstable; urgency=low

  * New upstream version
  * Changed to debhelper level 5
  * Simplified rules, requires cdbs >= 0.4.36

 -- Peter Eisentraut <petere@debian.org>  Mon,  3 Apr 2006 22:16:35 +0200

jline (0.9.1-2) unstable; urgency=low

  * Converted patches to simple-patchsys
  * Changed build dependency to ant (closes: #331650)
  * Changed maintainer to Debian Java Maintainers
  * Don't install AUTHORS file

 -- Peter Eisentraut <petere@debian.org>  Wed,  5 Oct 2005 20:24:25 +0200

jline (0.9.1-1) unstable; urgency=low

  * Initial release (closes: #328575)

 -- Peter Eisentraut <petere@debian.org>  Fri, 16 Sep 2005 17:53:35 +0200

=== debian/control ===
Source: jline
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>,
 Torsten Werner <twerner@debian.org>,
 tony mancill <tmancill@debian.org>
Build-Depends: debhelper-compat (= 13), default-jdk, ant
Build-Depends-Indep: maven-repo-helper, junit, default-jdk-doc
Standards-Version: 4.5.1
Homepage: http://jline.sourceforge.net/
Vcs-Git: https://salsa.debian.org/java-team/jline.git
Vcs-Browser: https://salsa.debian.org/java-team/jline
Rules-Requires-Root: no

Package: libjline-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libjline-java-doc
Description: Java library for handling console input
 JLine is a 100% pure Java library for reading and editing console input.
 It is similar in functionality to BSD editline and GNU readline.  People
 familiar with the readline/editline capabilities for modern shells will
 find most of the command editing features of JLine to be familiar.

Package: libjline-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjline-java, default-jdk-doc
Description: Java library for handling console input - documentation
 JLine is a 100% pure Java library for reading and editing console input.
 It is similar in functionality to BSD editline and GNU readline.  People
 familiar with the readline/editline capabilities for modern shells will
 find most of the command editing features of JLine to be familiar.
 .
 This package contains the documentation for JLine.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --buildsystem=ant --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- jar javadoc

override_dh_auto_install:
	dh_auto_install
	mh_installpoms -plibjline-java
	mh_installjar -plibjline-java -l src/pom.xml jline.jar

=== debian/watch ===
version=3
http://sf.net/jline/jline-([0-9.]+)\.zip debian debian/orig-tar.sh
